Subject: Re: bug#13609: 24.2.92; completion-list-insert-choice-function

From: Stefan Monnier <[email-masked]>
Date: Sun, 03 Feb 2013 08:51:39 -0500

> So I suggest to rename completion--replace to completion-replace
> to make it clear that other code may use this function.

No, because some other package may already have changed
completion-list-insert-choice-function, so you should really read the
current value of completion-list-insert-choice-function, and then call
that (via `funcall') rather than hard-coding completion--replace.

> (Or solve this problem in some other way that other code may rely upon.)

As a matter of fact there's a new feature in trunk that does just that:
`add-function'.

        Stefan